> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application Build Log

> Get the build logs of a specifc code branch and build for a Kibo Hosted Headless application.\r\nA Kibo site must be first linked to a headless hosted application before using this API.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json get /platform/appdev/headless-app/builds/{branchName}/logs/{jobId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/headless-app/builds/{branchName}/logs/{jobId}:
    get:
      tags:
        - HeadlessApp
      summary: Get Application Build Log
      description: >-
        Get the build logs of a specifc code branch and build for a Kibo Hosted
        Headless application.\r\nA Kibo site must be first linked to a headless
        hosted application before using this API.
      parameters:
        - description: The name of the branch to use for the request
          in: path
          name: branchName
          required: true
          schema:
            type: string
        - description: The Identifier of the build to retrieve logs for
          in: path
          name: jobId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeadlessAppBuildLog'
            text/json:
              schema:
                $ref: '#/components/schemas/HeadlessAppBuildLog'
            text/plain:
              schema:
                $ref: '#/components/schemas/HeadlessAppBuildLog'
          description: OK
components:
  schemas:
    HeadlessAppBuildLog:
      description: The list of steps taken during the build job with links to logs.
      properties:
        jobId:
          nullable: true
          type: string
        steps:
          items:
            $ref: '#/components/schemas/HeadlessAppBuildStep'
          nullable: true
          type: array
      type: object
    HeadlessAppBuildStep:
      description: A job that represents the build of a Kibo hosted headless application.
      properties:
        endTime:
          description: The end time for the build job step.
          format: date-time
          type: string
        logUrl:
          description: The url to access logs generated during the build step.
          nullable: true
          type: string
        startTime:
          description: The start time for the build job step.
          format: date-time
          type: string
        status:
          description: The status result of the step during the build job
          nullable: true
          type: string
        stepName:
          description: The name of the build step producing logs during the build Job.
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````